## kxmlrpcclient 5.115.0

=== debian/changelog ===
kxmlrpcclient (5.115.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.1, no changes required.
  * Remove the unused debian/meta/ stuff.
  * CI: simplify/improve config.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Drop old breaks/replaces for versions older than Debian Bullseye.
  * Drop unused autopkgtest leftovers.
  * Explicitly pass -DBUILD_TESTING=ON to cmake: this way test-only symbols
    are exposed even when $DEB_BUILD_OPTIONS contains "nocheck" (which adds
    -DBUILD_TESTING=OFF as parameter to cmake). (Closes: #1086783)
  * Drop the unused ${shlibs:Depends} substvar from libkf5xmlrpcclient-data.

  [ Rebecca N. Palmer ]
  * d/watch: Look in KDE 5, as this package is not in KDE 6.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Feb 2025 11:24:33 +0100

kxmlrpcclient (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:32 +0200

kxmlrpcclient (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:30 +0100

kxmlrpcclient (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:46 +0200
