=== debian/watch ===
version=4
# the 5 is because KDE 6 doesn't have this component and this makes uscan fail
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/portingAids/kxmlrpcclient-([\d.]+)\.tar\.xz
