## kxmlrpcclient 5.116.0+p24.04+vunstable+git20251220.0257

=== debian/changelog ===
kxmlrpcclient (5.116.0+p24.04+vunstable+git20251220.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:57:30 +0000
